### Method

# Fwupd Device compare

#### Declaration [src]

    gint
    fwupd_device_compare (
      FwupdDevice* self1,
      FwupdDevice* self2
    )

#### Description [src]

Comparison function for comparing two device objects.

Available since: | 1.1.1

#### Parameters

`self2` | `FwupdDevice`
| A different device.
| The data is owned by the caller of the function.

#### Return value

Returns: | `gint`
| Negative, 0 or positive.